curl --request GET \
--url https://api.management.junction.com/v1/org/{org_id}/team_custom_credentials/{env}/{region} \
--header 'X-Vital-Org-Key: <api-key>'
{
"credentials": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "oura",
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"client_id": "<string>",
"client_secret_hash": "<string>",
"details": {
"fitbit": {
"workout_verify_token": "<string>",
"sleep_verify_token": "<string>",
"body_verify_token": "<string>",
"is_hr_enabled": false,
"foods_verify_token": "<string>"
}
},
"app_url": "<string>",
"redirect_url_override": "<string>"
}
],
"next_cursor": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Team Custom Credentials
Get Org Team Custom Credentials
Get org team custom credentials via the Junction API. Requires authentication with your team API key.
GET
/
v1
/
org
/
{org_id}
/
team_custom_credentials
/
{env}
/
{region}
curl --request GET \
--url https://api.management.junction.com/v1/org/{org_id}/team_custom_credentials/{env}/{region} \
--header 'X-Vital-Org-Key: <api-key>'
{
"credentials": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "oura",
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"client_id": "<string>",
"client_secret_hash": "<string>",
"details": {
"fitbit": {
"workout_verify_token": "<string>",
"sleep_verify_token": "<string>",
"body_verify_token": "<string>",
"is_hr_enabled": false,
"foods_verify_token": "<string>"
}
},
"app_url": "<string>",
"redirect_url_override": "<string>"
}
],
"next_cursor": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Junction Management API is available for the Scale plan.
The base URL of this endpoint is
https://api.management.junction.com/.The endpoint accepts only Management Key (X-Management-Key).
Team API Key is not accepted.curl --request GET \
--url https://api.management.junction.com/v1/org/{org_id}/team_custom_credentials/{env}/{region} \
--header 'X-Vital-Org-Key: <api-key>'
Authorizations
Path Parameters
Available options:
production, sandbox Available options:
us, eu Query Parameters
Available options:
oura, fitbit, garmin, strava, wahoo, ihealth, withings, google_fit, dexcom_v3, polar, cronometer, omron, whoop_v2, my_fitness_pal_v2, ultrahuman, runkeeper, google_health Was this page helpful?